;;; bob.el --- Customizations for "bob" -*- lexical-binding: t; -*-

;;; Commentary:

;;; Code:

(require 'acdw)

;; Other ideas: [[https://twitter.com/NPRougier/status/1488570192561160195][from Nic Rougier]]
(add-function :after machine-after-load-theme
              (defun +bob-set-faces (&rest _)
                (let ((base-face "Monego")
                      (italic-face "Victor Mono")
                      ;; (bold-face nil)
                      (mono-face nil)
                      (var-face "Lato")
                      (base-size 110))
                  (+set-faces
                   `((default :family ,base-face
                              :weight regular
                              :height ,base-size)
                     ;; (bold :family ,(or bold-face base-face)
                     ;;       :weight bold)
                     (italic :family ,(or italic-face base-face)
                             :weight medium
                             :slant italic
                             :height ,base-size)
                     (fixed-pitch :family ,(or mono-face base-face)
                                  :weight regular
                                  :height ,base-size)
                     (variable-pitch :family ,(or var-face base-face)
                                     :height 1.2)
                     (org-italic :family ,(or var-face base-face)
                                 :slant italic))))))

;;; bob.el ends here
