;;; windows.el --- Windows settings! -*- lexical-binding: t; -*-

;; Annoying gnu-tls bug; I "always" trust the certificate anyway, so let's be
;; insecure.
(setq network-security-level 'low
      debug-on-error t)

;; Fonts

(setq machine-default-font "Cascadia Mono"
      machine-default-height 90
      machine-variable-pitch-font "Carlito"
      machine-variable-pitch-height 1.2)

;; Add C:\Program Files\* and C:\Program Files (x86)\* to exec-path
(dolist (path (append (file-expand-wildcards "C:/Program Files/*")
                      (file-expand-wildcards "c:/Program Files (x86)/*")
                      ;; Others...
                      (save-match-data
                        (split-string (getenv "PATH") ";" t))))
  (add-to-list 'exec-path path :append))

;;; windows.el ends here
